System 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("0000010e-0000-0000-C000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information about the IDataObject interface, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the IDataObject interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information about IDataObject::DUnAdvise, see the MSDN Library.

  Destroys a notification connection that had been previously established.

  This method supports the following return values:

  Value

  Description

  S_OK

  The specified connection was successfully deleted.

  OLE_E_NOCONNECTION

  The specified connection is not valid.

  OLE_E_ADVISENOTSUPPORTED

  This implementation does not support notification.

  A DWORD token that specifies the connection to remove. Use the value returned by when the connection was originally established.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.IEnumFORMATETC ``

  For more information about IDataObject::EnumFormatEtc, see the MSDN Library.

  Creates an object for enumerating the structures for a data object. These structures are used in calls to or .

  This method supports the standard return values E_INVALIDARG and E_OUTOFMEMORY, as well as the following:

  Value

  Description

  S_OK

  The enumerator object was successfully created.

  E_NOTIMPL

  The direction specified by the parameter is not supported.

  OLE_S_USEREG

  Requests that OLE enumerate the formats from the registry.

  One of the values that specifies the direction of the data.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.